import { OpenAPIObject, OperationObject, PathItemObject } from 'openapi3-ts';
import { OperationExecutionRequest, OperationExecutionResponse } from './execution';
export interface OperationInfo {
    executionRequest: OperationExecutionRequest;
    document: OpenAPIObject;
    operationObject: OperationObject;
    pathItemObject: PathItemObject;
    path: string;
}
export interface Parameters {
    path?: Record<string, unknown>;
    query?: Record<string, unknown>;
}
export declare type Body = unknown;
export declare type OperationHandler<TContext> = (parameters: Parameters, body: Body, context: TContext, info: OperationInfo) => OperationExecutionResponse | Promise<OperationExecutionResponse>;
